From 2e418e0541ab7501fc1bdc154d50d295af4044e5 Mon Sep 17 00:00:00 2001
From: Pablo Escobar <pescobar001@gmail.com>
Date: Mon, 20 Mar 2017 12:26:54 +0100
Subject: [PATCH] exit 1 if build failed

---
 scripts/ost-nightly-build.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/scripts/ost-nightly-build.sh b/scripts/ost-nightly-build.sh
index 01d4ab930..1285cd65d 100644
--- a/scripts/ost-nightly-build.sh
+++ b/scripts/ost-nightly-build.sh
@@ -76,6 +76,7 @@ $eb_command
 
 if [[ $? != 0 ]]; then
 	echo -e "\nBuild failed. Not deleting temp dir $TEMP_DIR"
+	exit 1
 else
         echo -e "\nBuild completed succesfully. Deleting temp dir $TEMP_DIR"
 	rm -fr $TEMP_DIR
-- 
GitLab